> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.joytokens.ai/llms.txt.

# List Models

GET https://api.joytokens.ai/api/v1/models

Returns the public JoyToken model catalog. This endpoint is currently exposed by front-gateway and does not require an API key.


Reference: https://docs.joytokens.ai/open-api/api-reference/compatible-model-ap-is/models/list-models

## Request

### Query parameters

- `locale` (enum, optional, default: en) — Language for localized model descriptions. Defaults to English when omitted.
  - Allowed values: `zh`, `en`
- `tier` (enum, optional) — Filter by billing/routing tier.
  - Allowed values: `economy`, `standard`, `premium`
- `provider` (string, optional) — Filter by provider name.
- `feature_tag` (string, optional) — Filter by model capability tag.
- `pack` (string, optional) — Filter by product or scenario pack.
- `industry_packs` (list of string, optional) — Filter by one or more industry scenario tags.

## Response

### 200

Model catalog response.

- `code` (integer, optional)
- `message` (string, optional)
- `data` (ListModelsResponseData, optional)

## Errors

### 503 Service Unavailable Error

Model service is temporarily unavailable.

- `code` (integer, optional)
- `message` (string, optional)

## Types

### ListModelsResponseData

- `models` (list of ModelInfo, optional)

### ModelInfo

- `modelId` (string, optional)
- `modelKey` (string, optional)
- `displayName` (string, optional)
- `alias` (string, optional)
- `tier` (enum, optional) — JoyToken model tier.
  - Allowed values: `economy`, `standard`, `premium`
- `tags` (list of string, optional)
- `description` (string, optional)
- `customerInputMtok` (double, optional)
- `customerOutputMtok` (double, optional)
- `customerCachereadMtok` (double, optional)
- `customerCachewriteMtok` (double, optional)
- `customerImageInputMtok` (string, optional)
- `customerImageOutputMtok` (string, optional)
- `customerImageCachedInputMtok` (string, optional)
- `provider` (string, optional)
- `featureTags` (list of string, optional)
- `scenarioTags` (list of string, optional)
- `mciScore` (double, optional)

## Examples

**Response**

```json
{
  "code": 0,
  "message": "success",
  "data": {
    "models": [
      {
        "modelId": "auto",
        "modelKey": "auto",
        "displayName": "auto",
        "alias": "auto",
        "tier": "standard",
        "tags": [
          "lock"
        ],
        "description": "Localized model description.",
        "customerInputMtok": 200,
        "customerOutputMtok": 900,
        "customerCachereadMtok": 20,
        "customerCachewriteMtok": 250,
        "customerImageInputMtok": "",
        "customerImageOutputMtok": "",
        "customerImageCachedInputMtok": "",
        "provider": "auto",
        "featureTags": [
          "agent"
        ],
        "scenarioTags": [
          "software_development_tools"
        ],
        "mciScore": 7.57
      }
    ]
  }
}
```

**SDK Code**

```python Models_listModels_example
import requests

url = "https://api.joytokens.ai/api/v1/models"

querystring = {"locale":"en"}

response = requests.get(url, params=querystring)

print(response.json())
```

```javascript Models_listModels_example
const url = 'https://api.joytokens.ai/api/v1/models?locale=en';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Models_listModels_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.joytokens.ai/api/v1/models?locale=en"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Models_listModels_example
require 'uri'
require 'net/http'

url = URI("https://api.joytokens.ai/api/v1/models?locale=en")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java Models_listModels_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.joytokens.ai/api/v1/models?locale=en")
  .asString();
```

```php Models_listModels_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.joytokens.ai/api/v1/models?locale=en');

echo $response->getBody();
```

```csharp Models_listModels_example
using RestSharp;

var client = new RestClient("https://api.joytokens.ai/api/v1/models?locale=en");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift Models_listModels_example
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api.joytokens.ai/api/v1/models?locale=en")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```